#pragma once

#include "CoreMinimal.h"
#include "ChallengeData.h"
#include "ChallengeListData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeListData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ListId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ListTitleStringId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool ListTitleStringId_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString ListTitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool ListTitle_IsSet;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FChallengeData> Challenges;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 ListOrder;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString StartDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString EndDate;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, SkipSerialization)
	bool EndDate_IsSet;

public:
	DEADBYDAYLIGHT_API FChallengeListData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeListData) { return 0; }
